### Method

# Ggit Repository create_blob_from_buffer

#### Declaration [src]

    GgitOId*
    ggit_repository_create_blob_from_buffer (
      GgitRepository* repository,
      gconstpointer buffer,
      gsize size,
      GError** error
    )

#### Description [src]

Write an in-memory buffer to the object database as a blob.

#### Parameters

`buffer`

  Type: An array of `guint8`

  The data.

  The length of the array is specified in the `size` argument.

`size`

  Type: `gsize`

  The length (in bytes) of the data.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

The new `GgitOid` of the written blob, or `NULL` if writing the blob failed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.